apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: internal-mathmast-com
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: acme@internalmathmast.com
    privateKeySecretRef:
      name: internal-mathmast-com-certs
    solvers:
      - dns01:
          azureDNS:
            clientID: "a73a7a8f-4349-4671-8b55-feea90e6f984"
            clientSecretSecretRef:
              name: freeleaps-kubernetes-azure-dns-manager
              key: client-secret
            subscriptionID: "0a280068-dec4-4bf0-9f04-65b64f412b50"
            tenantID: "cf151ee8-5c2c-4fe7-a1c4-809ba43c9f24"
            resourceGroupName: "k8s"
            hostedZoneName: "internalmathmast.com"
            environment: "AzurePublicCloud"
